Saxon API for .NET |

# XsltCompiler Members

XsltCompiler overview

#### Public Instance Properties

BaseUri | The base URI of the stylesheet, which forms part of the static context of the stylesheet. This is used for resolving any relative URIs appearing within the stylesheet, for example in `xsl:include` and `xsl:import` declarations, in schema locations defined to `xsl:import-schema`, or as an argument to the `document()` or `doc()` function.
ErrorList | List of errors. The caller should supply an empty list before calling Compile; the processor will then populate the list with error information obtained during the compilation. Each error will be included as an object of type StaticError. If no error list is supplied by the caller, error information will be written to the standard error stream.
XmlResolver | An XmlResolver, which will be used to resolve URI references while compiling a stylesheet

#### Public Instance Methods

Compile | Overloaded. Compile a stylesheet supplied as a Stream.
CompileAssociatedStylesheet | Locate and compile a stylesheet identified by an <?xml-stylesheet?> processing instruction within a source document.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XsltCompiler Class | Saxon.Api Namespace